Summary:        Maven Shared Components
URL:            http://maven.apache.org/shared/
Name:           maven-shared
Version:        22
Release:        %mkrel 2
License:        ASL 2.0
Group:          Development/Java
Source0:        https://github.com/apache/%{name}/archive/%{name}-components-%{version}.tar.gz

BuildRequires:  java-devel
BuildRequires:  maven-local

BuildArch:      noarch

# Obsoleting retired subpackages. The packages with hardcoded versions and
# releases had their versions manually set in maven-shared-15 to something else
# than {version}. To make the change effective, the release below is one
# greater than the last release of maven-shared-15 in rawhide.
Obsoletes:      maven-shared-ant < 1.0-32
Obsoletes:      maven-shared-model-converter < 2.3-32
Obsoletes:      maven-shared-runtime < 1.0-32
Obsoletes:      maven-shared-monitor < 1.0-32
Obsoletes:      maven-shared-javadoc < %{version}-%{release}

%description
Maven Shared Components

%prep
%setup -q -n %{name}-%{name}-components-%{version}
chmod -R go=u-w *

# Maven-scm-publish-plugin is not in Fedora
%pom_remove_plugin org.apache.maven.plugins:maven-scm-publish-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt




%changelog
* Tue Feb 23 2016 neoclust <neoclust> 22-2.mga6
+ Revision: 977332
- First rebuild of the java stack
- sync package maven-shared with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 20-2.mga5
+ Revision: 805676
- Clean rebuild
- Sync with Fedora 21 (Update to 20)

* Wed Oct 15 2014 umeabot <umeabot> 19-6.mga5
+ Revision: 743892
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 19-4.mga4
+ Revision: 534774
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 dmorgan <dmorgan> 19-3.mga4
+ Revision: 478792
- Fix obsoleting

* Fri Sep 13 2013 dmorgan <dmorgan> 19-2.mga4
+ Revision: 478410
- Removed maven-scm-publish-plugin

* Thu Sep 12 2013 dmorgan <dmorgan> 19-1.mga4
+ Revision: 478240
- New version
  Build with xmvn

* Thu Jul 11 2013 dmorgan <dmorgan> 15-30.mga4
+ Revision: 453021
- Adapt to new doxia packages name

* Sat Jan 12 2013 umeabot <umeabot> 15-29.mga3
+ Revision: 359777
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 dmorgan <dmorgan> 15-28.mga3
+ Revision: 338682
- Fix build
- Migration to plexus-containers-container-default
- Add container default to shared-jar

* Thu Jul 05 2012 dmorgan <dmorgan> 15-23.mga3
+ Revision: 267948
- Requires apache-commons-validator instead of jakarta-commons-validator

* Sun Jun 24 2012 dmorgan <dmorgan> 15-22.mga3
+ Revision: 262979
- Add infos about fedora package

* Sun Jun 24 2012 gil <gil> 15-21.mga3
+ Revision: 262919
- add maven-common-artifact-filters in depmap
- fix depmap
- rebuilt with maven-common-artifact-filters 1.4 support

* Tue Jan 10 2012 dmorgan <dmorgan> 15-20.mga2
+ Revision: 194338
- Remove P4, should not be needed

* Thu Dec 22 2011 dmorgan <dmorgan> 15-19.mga2
+ Revision: 186162
- Remove post/postun requires on jpackage-utils ( From Fedora )

* Fri Dec 16 2011 gil <gil> 15-18.mga2
+ Revision: 182649
- fix requires

* Fri Dec 16 2011 dmorgan <dmorgan> 15-17.mga2
+ Revision: 182624
- Require maven not maven2 now.
 - Adapt to current guidelines.
 - Add second groupId for reporting-api to add compatibility
 - Versionless javadocs and remove defattr macros (not needed anymore)
 - Use new maven2 compatibility packages
 - Remove old patches

  + gil <gil>
    - fix missing plugin-testing-harness version
    - fix release
    - edit depmap file
      added jmock1 and junit-addons support
    - build fix
      aqute-bndlib renamed to aqute-bnd
      remove filtering subpackage (separate package now)
      migration from plexus-maven-plugin to plexus-containers-component-metadata
      add second groupId for reporting-api to add compatibility

* Wed Jul 20 2011 dmorgan <dmorgan> 15-16.mga2
+ Revision: 127147
- Require maven not maven2 now.
  Adapt to current guidelines.

* Thu Apr 28 2011 dmorgan <dmorgan> 15-15.mga1
+ Revision: 92931
- Rebuild after bootstrapping
- imported package maven-shared


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 17 2010 Alexander Kurtakov <akurtako@redhat.com> 15-13
- Drop versioned jars.
- Drop tomcat5 deps.

* Thu Sep 16 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 15-12
- Use %%global instead of %%define
- Use %%{_mavenpomdir}
- Remove plexus-registry from BR/R

* Tue Jun 01 2010 Yong Yang <yyang@redhat.com> 15-11
- Rebuld with maven221
- Add patches
- Use javadoc:aggregate

* Tue Jun 01 2010 Yong Yang <yyang@redhat.com> 15-10
- Fix installed jar name of artifact-resolver, filtering, reporting-api, runtime

* Mon May 31 2010 Alexander Kurtakov <akurtako@redhat.com> 15-9
- Reenable reporting api.
- Fix groups.
- Do not remove tests that run now.

* Mon May 31 2010 Alexander Kurtakov <akurtako@redhat.com> 15-8
- Fix maven-archiver depmap.

* Mon May 31 2010 Alexander Kurtakov <akurtako@redhat.com> 15-7
- Release should be bigger than version 8 release.

* Thu May 21 2010 Yong Yang <yyang@redhat.com> 15-1
- Upgrade to 15

* Thu May 20 2010 Yong Yang <yyang@redhat.com> 8-6
- Properly comment %%add_maven_depmap

* Thu May 20 2010 Yong Yang <yyang@redhat.com> 8-5
- Remove plugin-tools* and pluging-testing*
- Add BRs:  objectweb-asm, plexus-digest

* Thu Nov 26 2009 Lubomir Rintel <lkundrak@v3.sk> 8-4
- Fix build

* Tue Sep 01 2009 Andrew Overholt <overholt@redhat.com> 8-3
- Add tomcat5, easymock, and maven2-plugin-source BRs

* Tue Sep 01 2009 Andrew Overholt <overholt@redhat.com> 8-2
- Add tomcat5-servlet-2.4-api BR

* Mon Aug 31 2009 Andrew Overholt <overholt@redhat.com> 8-1
- Update to version 8 (courtesy Deepak Bhole)

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-4.6
- drop repotag

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-4jpp.5
- fix license tag

* Thu Feb 28 2008 Deepak Bhole <dbhole@redhat.com> 1.0-4jpp.4
- Rebuild

* Fri Sep 21 2007 Deepak Bhole <dbhole@redhat.com> 0:1.0-4jpp.3
- Rebuild with ppc64 excludearch'd
- Removed 'jpp' from a BR version

* Tue Mar 20 2007 Deepak Bhole <dbhole@redhat.com> 0:1.0-4jpp.2
- Fixed BRs and Reqa

* Tue Feb 27 2007 Tania Bento <tbento@redhat.com> 0:1.0-4jpp.1
- Fixed %%Release.
- Fixed %%BuildRoot.
- Removed %%Vendor.
- Removed %%Distribution.
- Removed %%post and %%postun sections for file-management-javadoc.
- Removed %%post and %%postun sections for plugin-testing-harness-javadoc.
- Defined _with_gcj_support and gcj_support.
- Fixed %%License.
- Fixed %%Group.
- Marked config file with %%config(noreplace) in %%files section.
- Fixed instructions on how to generate source drop.

* Fri Oct 27 2006 Deepak Bhole <dbhole@redhat.com> 1.0-4jpp
- Update for maven 9jpp

* Fri Sep 15 2006 Deepak Bhole <dbhole@redhat.com> 1.0-3jpp
- Removed the file-management-pom.patch (no longer required)
- Install poms

* Wed Sep 13 2006 Ralph Apel <r.apel@r-apel.de> 0:1.0-2jpp
- Add plugin-testing-harness subpackage

* Mon Sep 11 2006 Ralph Apel <r.apel@r-apel.de> 0:1.0-1jpp
- First release
- Add gcj_support option
- Add post/postun Requires for javadoc
